package com.ruoyi.mxjb.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * mxjbWishScoreRate对象 mxjb_wish_score_rate
 * 
 * @author voluntary
 * @date 2023-02-05
 */
public class MxjbWishScoreRate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 偏差值 */
    @Excel(name = "偏差值")
    private Integer diff;

    /** 0 冲 1 稳 2 保 */
    @Excel(name = "0 冲 1 稳 2 保")
    private Integer enrollLevel;

    /** 概率 */
    @Excel(name = "概率")
    private Integer ratio;

    /** 极高, 中等, 较低, 较小 */
    @Excel(name = "极高, 中等, 较低, 较小")
    private String riskLevel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setDiff(Integer diff) 
    {
        this.diff = diff;
    }

    public Integer getDiff() 
    {
        return diff;
    }
    public void setEnrollLevel(Integer enrollLevel) 
    {
        this.enrollLevel = enrollLevel;
    }

    public Integer getEnrollLevel() 
    {
        return enrollLevel;
    }
    public void setRatio(Integer ratio) 
    {
        this.ratio = ratio;
    }

    public Integer getRatio() 
    {
        return ratio;
    }
    public void setRiskLevel(String riskLevel) 
    {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevel() 
    {
        return riskLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("diff", getDiff())
            .append("enrollLevel", getEnrollLevel())
            .append("ratio", getRatio())
            .append("riskLevel", getRiskLevel())
            .toString();
    }
}
